Package org.gradle.api.artifacts.transform

# Class ArtifactTransform

java.lang.Object
org.gradle.api.artifacts.transform.ArtifactTransform

@Incubating public abstract class ArtifactTransform extends Object
Base class for artifact transformations.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`ArtifactTransform()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getOutputDirectory()`
`void`
`setOutputDirectory(File outputDirectory)`
`abstract List<File>`
`transform(File input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArtifactTransform

public ArtifactTransform()

## Method Details

### getOutputDirectory

public File getOutputDirectory()

### setOutputDirectory

public void setOutputDirectory(File outputDirectory)

### transform

public abstract List<File> transform(File input)